%define name  locktones
%define version 0.4
%define release 1

Summary: Control state of caps lock,  num lock and scroll lock through sound.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Dave Mielke, see CPYRIGHT file
Group: Utilities/Console	
Source: http://dave.mielke.cc/locktones-0.4.tar.gz
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
#Patch:  %{name}-%{version}-%{release}.patch
#Patch1: %{name}-%{version}-%{release}.patch1
#Patch2: -->another_files_to.patch
Packager: Hans Zoebelein <hzo@goldfish.cube.net>
 

%description
Locktones provides blind computer users with an easy
way to passively determine the current states of the various keyboard
locks (caps, insert, num, scroll). It runs as a background process which
periodically checks the locks, and uses the PC speaker to generate
sequences of tones which indicate either a change in their states (see the
--toggle option) or their current states (see the --active option). 

%prep
rm -rf $RPM_BUILD_ROOT


%setup -n locktones-0.4 


%build
cd linux
rm *.o
make 


%install
mkdir -p $RPM_BUILD_ROOT
install -d -m 755 -o 0 -g 0 $RPM_BUILD_ROOT/usr/bin

#install -m 644 -o 0 -g 0 -->noexe_files $RPM_BUILD_ROOT/-->noexe_dirs_etc
install -s -m 755 -o 0 -g 0 linux/locktones  $RPM_BUILD_ROOT/usr/bin
# some files to symlink?
#ln -s -->"from_where"_final_location $RPM_BUILD_ROOT/-->"to"_location_at_built_time





%clean
rm -rf $RPM_BUILD_ROOT


%changelog


%files
%doc README CPYRIGHT
/usr/bin/locktones

